## kitemmodels 5.62.0

=== debian/changelog ===
kitemmodels (5.62.0-1) unstable; urgency=medium

  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols file
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:06 -0700

kitemmodels (5.61.0-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Build-Depend on qttools5-dev to fix a cross build failure
    (see #915122 for more info) (Closes: 932765).

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Move qdebug logging categories files.
  * Update build-deps and deps with the info from cmake
  * Add missing version to maintscript
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:42 +0100

kitemmodels (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.54)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:27:03 -0300

kitemmodels (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:17:02 +0100

kitemmodels (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * Update copyright information
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:18:43 +0200

kitemmodels (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:09:43 +0200

=== debian/control ===
Source: kitemmodels
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.62.0~),
               graphviz,
               libqt5sql5-sqlite:native,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.11.0~),
               qtdeclarative5-dev (>= 5.11.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kitemmodels
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kitemmodels
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kitemmodels.git

Package: libkf5itemmodels-dev
Section: libdevel
Architecture: any
Depends: libkf5itemmodels5 (= ${binary:Version}),
         qtbase5-dev (>= 5.11.0~),
         ${misc:Depends},
Recommends: libkf5itemmodels-doc (= ${source:Version})
Description: additional item/view models for Qt Itemview
 A library which provides additional item/view models for Qt Itemview.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5itemmodels-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: additional item/view models for Qt Itemview (documentation)
 A library which provides additional item/view models for Qt Itemview.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5itemmodels5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: additional item/view models for Qt Itemview
 A library which provides additional item/view models for Qt Itemview.
 .
 This package is part of KDE Frameworks 5.

## kitemmodels 5.68.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.68.0") # handled by release scripts
project(KItemModels VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.68.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMQtDeclareLoggingCategory)

set(REQUIRED_QT_VERSION 5.12.0)
find_package(Qt5Core ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
find_package(Qt5Qml ${REQUIRED_QT_VERSION} NO_MODULE)

include(ECMGenerateExportHeader)
set_package_properties(Qt5Qml PROPERTIES
        TYPE OPTIONAL
        PURPOSE "Build QML import for KItemModels"
)

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX KITEMMODELS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kitemmodels_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ItemModelsConfigVersion.cmake"
                        SOVERSION 5)
add_definitions(-DQT_NO_FOREACH)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()


# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5ItemModels")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5ItemModels_QCH
        FILE KF5ItemModelsQCHTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5ItemModelsQCHTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5ItemModelsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ItemModelsConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ItemModelsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ItemModelsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5ItemModelsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5ItemModelsTargets.cmake NAMESPACE KF5:: )

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kitemmodels_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===

set(proxyModelSmokeTestSources
  kselectionproxymodeltestsuite.cpp
)


remove_definitions(-DQT_NO_CAST_TO_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)

find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test Widgets)

add_subdirectory(proxymodeltestsuite)

include(ECMAddTests)

ecm_add_tests(
  kconcatenaterowsproxymodeltest.cpp
  kdescendantsproxymodel_smoketest.cpp
  kdescendantsproxymodeltest.cpp
  kextracolumnsproxymodeltest.cpp
  klinkitemselectionmodeltest.cpp
  kselectionproxymodeltest.cpp
  kmodelindexproxymappertest.cpp
  krecursivefilterproxymodeltest.cpp
  krearrangecolumnsproxymodeltest.cpp
  knumbermodeltest.cpp
  kcolumnheadersmodeltest.cpp
  LINK_LIBRARIES KF5::ItemModels Qt5::Test Qt5::Widgets proxymodeltestsuite
)

if (${Qt5Qml_FOUND})
    ecm_add_tests(
        kconcatenaterows_qml.cpp
        ksortfilterproxymodel_qml.cpp
        LINK_LIBRARIES KF5::ItemModels Qt5::Test Qt5::Qml Qt5::Gui
    )
endif()

#we need additional sources for this test, can't use it in ecm_add_tests
ecm_add_test(kselectionproxymodel_smoketest.cpp ${proxyModelSmokeTestSources}
  TEST_NAME "kselectionproxymodel_smoketest"
  LINK_LIBRARIES KF5::ItemModels Qt5::Test Qt5::Widgets proxymodeltestsuite
)

=== src/core/CMakeLists.txt ===

set(kitemmodels_SRCS
  kbreadcrumbselectionmodel.cpp
  kcheckableproxymodel.cpp
  kconcatenaterowsproxymodel.cpp
  kdescendantsproxymodel.cpp
  kextracolumnsproxymodel.cpp
  klinkitemselectionmodel.cpp
  kmodelindexproxymapper.cpp
  knumbermodel.cpp
  krearrangecolumnsproxymodel.cpp
  krecursivefilterproxymodel.cpp
  kselectionproxymodel.cpp
  kcolumnheadersmodel.cpp
)

ecm_qt_declare_logging_category(kitemmodels_SRCS
    HEADER kitemmodels_debug.h
    IDENTIFIER KITEMMODELS_LOG
    CATEGORY_NAME kf5.kitemmodels
    DESCRIPTION "KItemModels"
    EXPORT KITEMMODELS
)

add_library(KF5ItemModels ${kitemmodels_SRCS})
add_library(KF5::ItemModels ALIAS KF5ItemModels)
ecm_generate_export_header(KF5ItemModels
    BASE_NAME KItemModels
    GROUP_BASE_NAME KF
    VERSION ${KF5_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 4.8 5.65
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)
# reminder trigger to apply KITEMMODELS_ENABLE_DEPRECATED_SINCE & friends to KConcatenateRowsProxyModel when the time is there
if (REQUIRED_QT_VERSION VERSION_GREATER 5.12.0)
    message(WARNING "With Qt 5.13 as min dep, mark KConcatenateRowsProxyModel as deprecated to the compiler & remove this warning")
endif()


target_include_directories(KF5ItemModels INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KItemModels>")

target_link_libraries(KF5ItemModels PUBLIC Qt5::Core)

set_target_properties(KF5ItemModels PROPERTIES VERSION   ${KITEMMODELS_VERSION_STRING}
                                               SOVERSION ${KITEMMODELS_SOVERSION}
                                               EXPORT_NAME ItemModels
)

ecm_generate_headers(KItemModels_HEADERS
  HEADER_NAMES
  KBreadcrumbSelectionModel
  KConcatenateRowsProxyModel
  KCheckableProxyModel
  KExtraColumnsProxyModel
  KLinkItemSelectionModel
  KRearrangeColumnsProxyModel
  KRecursiveFilterProxyModel
  KDescendantsProxyModel
  KModelIndexProxyMapper
  KSelectionProxyModel
  KNumberModel
  KColumnHeadersModel
  REQUIRED_HEADERS KItemModels_HEADERS
)

find_package(PythonModuleGeneration)

if (PythonModuleGeneration_FOUND)
  ecm_generate_python_binding(
    TARGET KF5::ItemModels
    PYTHONNAMESPACE PyKF5
    MODULENAME KItemModels
    SIP_DEPENDS
      QtCore/QtCoremod.sip
    HEADERS
      kbreadcrumbselectionmodel.h
      kconcatenaterowsproxymodel.h
      kcheckableproxymodel.h
      kextracolumnsproxymodel.h
      klinkitemselectionmodel.h
      krearrangecolumnsproxymodel.h
      krecursivefilterproxymodel.h
      kdescendantsproxymodel.h
      kmodelindexproxymapper.h
      kselectionproxymodel.h
      kcolumnheadersmodel.h
  )
endif()

install(TARGETS KF5ItemModels EXPORT KF5ItemModelsTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kitemmodels_export.h
  ${KItemModels_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KItemModels COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5ItemModels_QCH
        NAME KItemModels
        BASE_NAME KF5ItemModels
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KItemModels_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt5Core_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KITEMMODELS_EXPORT
            "KITEMMODELS_DEPRECATED_VERSION(x, y, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KItemModels LIB_NAME KF5ItemModels DEPS "core" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KItemModels)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== src/qml/CMakeLists.txt ===
set(corebindings_SRCS
    plugin.cpp
    kconcatenaterowsproxymodel_qml.cpp
    ksortfilterproxymodel.cpp
)

ecm_qt_declare_logging_category(corebindings_SRCS HEADER kitemmodels_debug.h IDENTIFIER KITEMMODELS_LOG CATEGORY_NAME kf5.kitemmodels)

add_library(itemmodelsplugin SHARED ${corebindings_SRCS})
target_link_libraries(itemmodelsplugin
        Qt5::Qml
        KF5::ItemModels
)

install(TARGETS itemmodelsplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kitemmodels)
install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kitemmodels)

# Faux install into the build dir for unit tests

if(BUILD_TESTING)
    add_custom_target(copy ALL DEPENDS itemmodelsplugin)
    add_custom_command(TARGET copy POST_BUILD
                        COMMAND ${CMAKE_COMMAND} -E
                            copy ${CMAKE_CURRENT_SOURCE_DIR}/qmldir ${CMAKE_BINARY_DIR}/bin/org/kde/kitemmodels/qmldir)
    add_custom_command(TARGET copy POST_BUILD
                        COMMAND ${CMAKE_COMMAND} -E
                        copy $<TARGET_FILE:itemmodelsplugin> ${CMAKE_BINARY_DIR}/bin/org/kde/kitemmodels)
endif()

=== debian/changelog ===
kitemmodels (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:58:02 +0000

kitemmodels (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:50:47 +0000

kitemmodels (5.66.0a-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:19:41 +0000

kitemmodels (5.65.0-0ubuntu1) focal; urgency=medium

  [ Rik Mills ]
  * Add new package qml-module-org-kde-kitemmodels for newly exported
    qml files/plugin. 

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.65.0)
  * Update symbols
  * Add qml-module-qtquick2 to testsuite Depends

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:00:52 +0000

kitemmodels (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:24:59 +0000

kitemmodels (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:07:24 +0100

kitemmodels (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:42:53 +0100

kitemmodels (5.60.0-0ubuntu1) eoan; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:16:36 +0100

kitemmodels (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:19:45 +0100

kitemmodels (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:40:46 +0100

kitemmodels (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:38:24 +0100

=== debian/control ===
Source: kitemmodels
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.68.0~),
               graphviz,
               libqt5sql5-sqlite:native,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.8.0~),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kitemmodels
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitemmodels
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitemmodels

Package: libkf5itemmodels-dev
Architecture: any
Section: libdevel
Depends: libkf5itemmodels5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Recommends: libkf5itemmodels-doc (= ${source:Version})
Description: additional item/view models for Qt Itemview
 A library which provides additional item/view models for Qt Itemview.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.

Package: libkf5itemmodels-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: additional item/view models for Qt Itemview (documentation)
 A library which provides additional item/view models for Qt Itemview.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.

Package: libkf5itemmodels5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: additional item/view models for Qt Itemview
 A library which provides additional item/view models for Qt Itemview.
 .
 This package is part of KDE Frameworks 5.

Package: qml-module-org-kde-kitemmodels
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: additional item/view models for Qt Itemview
 A library which provides additional item/view models for Qt Itemview.
 .
 This package is part of KDE Frameworks 5.

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential,
         dbus (>= 1.8),
         openbox,
         xauth,
         xvfb,
         qml-module-qtquick2,
         @,
         @builddeps@
Restrictions: build-needed

Tests: acc
Depends: dh-acc, exuberant-ctags, @
Restrictions: allow-stderr

## kitemmodels 5.74.0

=== debian/changelog ===
kitemmodels (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 10:59:39 +0100

kitemmodels (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update symbols.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 10:58:38 +0100

kitemmodels (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:33:16 +0100

kitemmodels (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:06:54 +0100

kitemmodels (5.70.0-1.1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields,
    - debhelper-compat = 12 for backports.
    - Added qml-module-org-kde-kitemmodels
    - Keep our symbols file.

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Jun 2020 10:47:48 +0100

kitemmodels (5.70.0-1.1) unstable; urgency=medium

  * Team upload.
  * Run the test suite at build time:
    - add the xauth, xvfb, and qml-module-qtquick-controls build dependencies
    - run dh_auto_test using xvfb-run, as a display is needed
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages. (Closes: #962031)
  * Remove the unused debian/meta/ stuff.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Jun 2020 08:24:22 +0200

kitemmodels (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.21.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Add kitemmodels plugins to libkf5itemmodels5.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:55:39 +0200

kitemmodels (5.70.0-0ubuntu2) groovy; urgency=medium

  * debian/tests: Add qml-module-qtqml to testsuite depends. Fixes tests
    with Qt 5.14 where this module is a new package.

 -- Rik Mills <rikmills@kde.org>  Tue, 19 May 2020 12:54:09 +0100

kitemmodels (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:32:31 +0100

kitemmodels (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Enable hardening all.
  * Add Build-Depends-Package to symbols file.
  * Update symbols from build for 5.69.0.
  * Remove COPYING.LIB listed in copyright file.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 00:55:49 +0200

=== debian/control ===
--- 
+++ 
@@ -3,26 +3,31 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
-               debhelper (>= 11~),
+Build-Depends: cmake (>= 3.5~),
+               debhelper-compat (= 12),
                doxygen,
-               extra-cmake-modules (>= 5.68.0~),
+               extra-cmake-modules (>= 5.74.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.8.0~),
-               qtdeclarative5-dev (>= 5.8.0~),
+               qml-module-qtquick-controls <!nocheck>,
+               qtbase5-dev (>= 5.12.0~),
+               qtdeclarative5-dev (>= 5.12.0~),
+               qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.1.4
+               xauth,
+               xvfb,
+Standards-Version: 4.5.0
 Homepage: https://projects.kde.org/projects/frameworks/kitemmodels
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitemmodels
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitemmodels
+Rules-Requires-Root: no
 
 Package: libkf5itemmodels-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
 Depends: libkf5itemmodels5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.8.0~),
+         qtbase5-dev (>= 5.12.0~),
          ${misc:Depends},
 Recommends: libkf5itemmodels-doc (= ${source:Version})
 Description: additional item/view models for Qt Itemview
@@ -31,11 +36,11 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the development files.
+Breaks: libkf5kdelibs4support-dev (<< 5.54)
 
 Package: libkf5itemmodels-doc
 Architecture: all
 Multi-Arch: foreign
-Section: doc
 Depends: ${misc:Depends}
 Description: additional item/view models for Qt Itemview (documentation)
  A library which provides additional item/view models for Qt Itemview.
@@ -43,6 +48,7 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the qch documentation files.
+Section: doc
 
 Package: libkf5itemmodels5
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	xvfb-run -a dh_auto_test

## kitemmodels 5.78.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.68.0") # handled by release scripts
+set(KF5_VERSION "5.78.0") # handled by release scripts
 project(KItemModels VERSION ${KF5_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.68.0  NO_MODULE)
+find_package(ECM 5.78.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -16,7 +16,7 @@
 include(KDECMakeSettings)
 include(ECMQtDeclareLoggingCategory)
 
-set(REQUIRED_QT_VERSION 5.12.0)
+set(REQUIRED_QT_VERSION 5.14.0)
 find_package(Qt5Core ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 find_package(Qt5Qml ${REQUIRED_QT_VERSION} NO_MODULE)
 
@@ -39,8 +39,9 @@
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kitemmodels_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ItemModelsConfigVersion.cmake"
                         SOVERSION 5)
+add_definitions(-DQT_NO_KEYWORDS)
 add_definitions(-DQT_NO_FOREACH)
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
 add_subdirectory(src)
 if (BUILD_TESTING)
     add_subdirectory(autotests)

=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,11 @@
 
 include(ECMAddTests)
 
+if(NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND
+   EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.65.0)
+    set(krecursivefilterproxymodeltest_SRC krecursivefilterproxymodeltest.cpp)
+endif()
+
 ecm_add_tests(
   kconcatenaterowsproxymodeltest.cpp
   kdescendantsproxymodel_smoketest.cpp
@@ -22,7 +27,7 @@
   klinkitemselectionmodeltest.cpp
   kselectionproxymodeltest.cpp
   kmodelindexproxymappertest.cpp
-  krecursivefilterproxymodeltest.cpp
+  ${krecursivefilterproxymodeltest_SRC}
   krearrangecolumnsproxymodeltest.cpp
   knumbermodeltest.cpp
   kcolumnheadersmodeltest.cpp

=== src/qml/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,17 @@
 set(corebindings_SRCS
     plugin.cpp
     kconcatenaterowsproxymodel_qml.cpp
+    kdescendantsproxymodel_qml.cpp
     ksortfilterproxymodel.cpp
 )
 
-ecm_qt_declare_logging_category(corebindings_SRCS HEADER kitemmodels_debug.h IDENTIFIER KITEMMODELS_LOG CATEGORY_NAME kf5.kitemmodels)
+ecm_qt_declare_logging_category(corebindings_SRCS
+    HEADER kitemmodels_debug.h
+    IDENTIFIER KITEMMODELS_LOG
+    CATEGORY_NAME kf.itemmodels.quick
+    DESCRIPTION "KItemModels (QtQuick)"
+    EXPORT KITEMMODELS
+)
 
 add_library(itemmodelsplugin SHARED ${corebindings_SRCS})
 target_link_libraries(itemmodelsplugin

=== debian/changelog ===
kitemmodels (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:23 +0900

kitemmodels (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:42 +0900

kitemmodels (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:35 +0900

kitemmodels (5.77.0-1) experimental; urgency=medium

  [ Vagrant Cascadian ]
  * Disable fixfilepath feature, as it triggers build failures when
    enabled (Closes: #972737).
  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).

  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:54 +0900

kitemmodels (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:13:48 +0200

kitemmodels (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Add renamecategories file to libkf5itemmodels5.
  * Update symbols from build for 5.74.0.
  * Update symbols from build for 5.74.0 no ABI bump needed (only
    private symbols got removed).
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:44:40 +0200

kitemmodels (5.70.0-3) unstable; urgency=medium

  * Team upload.
  * Merge changes from 5.70.0-1.1.

 -- Pino Toscano <pino@debian.org>  Sun, 09 Aug 2020 09:27:41 +0200

kitemmodels (5.70.0-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Ship QML bindings in own package.

 -- Sandro Knauß <hefee@debian.org>  Wed, 27 May 2020 17:47:40 +0200

=== debian/control ===
Source: kitemmodels
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.78.0~),
               graphviz,
               libqt5sql5-sqlite:native,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qml-module-qtquick-controls <!nocheck>,
               qtbase5-dev (>= 5.14.0~),
               qtdeclarative5-dev (>= 5.14.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/kitemmodels
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kitemmodels
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kitemmodels.git
Rules-Requires-Root: no

Package: libkf5itemmodels-dev
Section: libdevel
Architecture: any
Depends: libkf5itemmodels5 (= ${binary:Version}),
         qtbase5-dev (>= 5.14.0~),
         ${misc:Depends}
Recommends: libkf5itemmodels-doc (= ${source:Version})
Description: additional item/view models for Qt Itemview
 A library which provides additional item/view models for Qt Itemview.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5itemmodels-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: additional item/view models for Qt Itemview (documentation)
 A library which provides additional item/view models for Qt Itemview.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5itemmodels5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: additional item/view models for Qt Itemview
 A library which provides additional item/view models for Qt Itemview.
 .
 This package is part of KDE Frameworks 5.

Package: qml-module-org-kde-kitemmodels
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: additional item/view models for Qt Itemview (QML Bindings)
 A library which provides additional item/view models for Qt Itemview.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the QML Bindings.
Breaks: libkf5itemmodels5 (<< 5.70.0-2~)
Replaces: libkf5itemmodels5 (<< 5.70.0-2~)

## kitemmodels 5.80.0

=== debian/changelog ===
kitemmodels (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:08:18 +0000

kitemmodels (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:22:21 +0000

kitemmodels (5.78.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Disable build time tests.
    - Keep Kubuntu symbols files.

 -- Rik Mills <rikmills@kde.org>  Sun, 31 Jan 2021 20:16:40 +0000

kitemmodels (5.78.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.78.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jan 2021 09:56:50 +0000

kitemmodels (5.77.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Disable build time tests.
    - Keep Kubuntu symbols files.

 -- Rik Mills <rikmills@kde.org>  Mon, 04 Jan 2021 17:30:32 +0000

kitemmodels (5.77.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.77.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Dec 2020 20:10:43 +0000

kitemmodels (5.76.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.75.0)
  * Disable unit tests at build time
  * Update symbols
  * New upstream release (5.76.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Nov 2020 13:23:13 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -17,11 +17,11 @@
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
                xauth,
-               xvfb
+               xvfb,
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/kitemmodels
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kitemmodels
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kitemmodels.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitemmodels
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitemmodels
 Rules-Requires-Root: no
 
 Package: libkf5itemmodels-dev
@@ -29,7 +29,7 @@
 Architecture: any
 Depends: libkf5itemmodels5 (= ${binary:Version}),
          qtbase5-dev (>= 5.14.0~),
-         ${misc:Depends}
+         ${misc:Depends},
 Recommends: libkf5itemmodels-doc (= ${source:Version})
 Description: additional item/view models for Qt Itemview
  A library which provides additional item/view models for Qt Itemview.
@@ -68,7 +68,3 @@
  A library which provides additional item/view models for Qt Itemview.
  .
  This package is part of KDE Frameworks 5.
- .
- This package contains the QML Bindings.
-Breaks: libkf5itemmodels5 (<< 5.70.0-2~)
-Replaces: libkf5itemmodels5 (<< 5.70.0-2~)

## kitemmodels 5.86.0

=== debian/changelog ===
kitemmodels (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:48:27 +0100

kitemmodels (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:27:41 +0100

kitemmodels (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 09:00:42 +0100

kitemmodels (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:17:38 +0100

kitemmodels (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:57:23 +0100

kitemmodels (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:29:49 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
